Change *-cvs-bare cache dirs to *-cvs-master.
[nethome.git] / bin / errs1
index bcd0c76..43cda29 100755 (executable)
--- a/bin/errs1
+++ b/bin/errs1
@@ -1,13 +1,16 @@
 #! /bin/sh
 # $Id$
 
+renice +19 -p $$; ionice -c3 -p $$
+
 customss="--enable-static --disable-shared"
 customm="-m64"
 target=
 targets=
 configure="./configure"
 debug="-ggdb2"
-ldflags=""
+ldflags="-lmcheck"
+fast=false
 
 while true
 do
@@ -16,7 +19,12 @@ do
                shift
                continue
        fi
-       if [ "$1" = "-shared" ];then
+       if [ "$1" = "--fast" ];then
+               fast=true
+               shift
+               continue
+       fi
+       if [ "$1" = "--shared" ];then
                customss="--disable-static --enable-shared"
                shift
                continue
@@ -29,7 +37,11 @@ do
        fi
        if [ "$1" = "-m32" ];then
                customm=-m32
-               target=i386-unknown-linux-gnu
+               case `uname -m` in
+                 i?86|x86_64|ia64) target=i386-unknown-linux-gnu ;;
+                 ppc*)             target=powerpc64-unknown-linux-gnu ;;
+                 s390*)            target=s390-unknown-linux-gnu ;;
+               esac
                shift
                continue
        fi
@@ -43,6 +55,7 @@ do
        if [ "$1" = "-s" ];then
                # -O0 is important to override GCC -O2.
                debug="-O0 -s"
+               ldflags=""
                shift
                continue
        fi
@@ -50,6 +63,7 @@ do
        break
 done
 
+rm -f errs1.ok
 (
        set -ex
        find -name config.cache|xargs rm -f
@@ -59,12 +73,17 @@ done
             -o -f `dirname $configure`/gcc/reload.c;then
                maintainer=""
        else
-               maintainer="--enable-maintainer-mode"
+               :
+#              maintainer="--enable-maintainer-mode"
        fi
        if test -f `dirname $configure`/bfd/elf64-x86-64.c;then
                test -f g77 || (test -f /usr/bin/gfortran && ln -s /usr/bin/gfortran g77)
-               targets="--enable-targets=all"
-               ldflags="-lmcheck"
+       fi
+       if ! $fast;then
+               targets="$targets --enable-64-bit-bfd"
+       fi
+       if ! $fast && test -f `dirname $configure`/bfd/elf64-x86-64.c -a '(' -d CVS -o -d .git ')';then
+               targets="$targets --enable-targets=all"
        fi
 
        if test -f `dirname $configure`/gcc/reload.c;then
@@ -100,5 +119,10 @@ done
        export CXXFLAGS_FOR_TARGET="$flags"
        export LDFLAGS="$ldflags"
 
-       time nice "$configure" $target $targets $customss --enable-debug $maintainer $werror "$@"
+       time nice "$configure" $target $targets $customss --enable-debug --disable-sim $maintainer $werror --with-separate-debug-dir=/usr/lib/debug "$@"
+       touch errs1.ok
        ) 2>&1|tee errs1
+test -f errs1.ok
+rc=$?
+rm -f errs1.ok
+exit $rc